aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorKrassy Boykinov <kboykinov@teamcentrixx.com>2023-10-12 13:51:36 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2023-11-02 07:56:01 +0000
commit3a7dd1fa40cc09c002b75c10131d40813693b4ca (patch)
tree75e301b730f79de77632142e2abcd6e1bc81e6cd
parentbe9946d82fc20a3616e8d99c1e32c4cdcb908316 (diff)
main/poppler: upgrade to 23.10.0
-rw-r--r--main/poppler/APKBUILD23
1 files changed, 13 insertions, 10 deletions
diff --git a/main/poppler/APKBUILD b/main/poppler/APKBUILD
index 580127885f9..ee9cbeb27aa 100644
--- a/main/poppler/APKBUILD
+++ b/main/poppler/APKBUILD
@@ -1,6 +1,6 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=poppler
-pkgver=23.09.0
+pkgver=23.10.0
pkgrel=0
pkgdesc="PDF rendering library based on xpdf 3.0"
url="https://poppler.freedesktop.org/"
@@ -54,17 +54,20 @@ build() {
CMAKE_CROSSOPTS="-DCMAKE_SYSTEM_NAME=Linux -DCMAKE_HOST_SYSTEM_NAME=Linux"
fi
cmake -B build -G Ninja \
- -DCMAKE_BUILD_TYPE=RelWithDebInfo \
- -DCMAKE_INSTALL_PREFIX=/usr \
- -DCMAKE_INSTALL_LIBDIR=lib \
- -DENABLE_UNSTABLE_API_ABI_HEADERS=ON \
- -DBUILD_QT5_TESTS="$(want_check && echo ON || echo OFF)" \
- -DBUILD_QT6_TESTS="$(want_check && echo ON || echo OFF)" \
- -DBUILD_GTK_TESTS="$(want_check && echo ON || echo OFF)" \
-DBUILD_CPP_TESTS="$(want_check && echo ON || echo OFF)" \
+ -DBUILD_GTK_TESTS="$(want_check && echo ON || echo OFF)" \
-DBUILD_MANUAL_TESTS="$(want_check && echo ON || echo OFF)" \
- -DENABLE_QT5=OFF \
+ -DBUILD_QT5_TESTS="$(want_check && echo ON || echo OFF)" \
+ -DBUILD_QT6_TESTS="$(want_check && echo ON || echo OFF)" \
+ -DCMAKE_BUILD_TYPE=RelWithDebInfo \
+ -DCMAKE_INSTALL_LIBDIR=lib \
+ -DCMAKE_INSTALL_PREFIX=/usr \
-DENABLE_BOOST=ON \
+ -DENABLE_GPGME=OFF \
+ -DENABLE_LIBCURL=OFF \
+ -DENABLE_QT5=OFF \
+ -DENABLE_QT6=OFF \
+ -DENABLE_UNSTABLE_API_ABI_HEADERS=ON \
$CMAKE_CROSSOPTS
cmake --build build
}
@@ -99,5 +102,5 @@ _cpp() {
}
sha512sums="
-8657845ec02fca6fe9791823ebeed6c44971c524edc56cb945501dfefb3dc72a6d86fff751bfb708a862a7862cfdcc57bf7b3f825e2bafe25a1e6679c7171a4c poppler-23.09.0.tar.xz
+b945662746c5fc58df6ec05c637cfa0792702f49f589f1eef69a3aa06823274babd0d604cb8671cabc1341c3bfede1814b5d400fb2a9efe711bf04bd177cea03 poppler-23.10.0.tar.xz
"